Public bug reported:

We use docker and qemu-static to build our project for all supported
arch-es in travis. But a few days ago a ppc job started to fail with
this error:

Status: Downloaded newer image for ppc64le/ubuntu:trusty
 ---> 52071895775c
Step 2 : ENV QEMU_CPU POWER8
 ---> Running in 4d3df022afff
 ---> 755937024d05
Removing intermediate container 4d3df022afff
Step 3 : COPY scripts/build/qemu-user-static/usr/bin/qemu-ppc64le-static 
/usr/bin/qemu-ppc64le-static
 ---> 188daa3f7494
Removing intermediate container 472eb3b49e8e
Step 4 : ARG CC=gcc
 ---> Running in 8f626dc61623
 ---> 20139f6cb27c
Removing intermediate container 8f626dc61623
Step 5 : ARG ENV1=FOOBAR
 ---> Running in 2767f0ce96a6
 ---> 8a7ea42bae39
Removing intermediate container 2767f0ce96a6
Step 6 : RUN apt-get update && apt-get install -y                 
build-essential                 protobuf-c-compiler                 
libprotobuf-c0-dev                 libprotobuf-dev                 bsdmainutils 
                protobuf-compiler                 python-minimal                
 libaio-dev                 libcap-dev                 iptables                 
libnl-3-dev                 libselinux-dev                 pkg-config           
      git-core            libnet-dev              ccache                 $CC
 ---> Running in ae68ad78ec81
Ign http://ports.ubuntu.com trusty InRelease
Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
Get:2 http://ports.ubuntu.com trusty-updates InRelease [65.9 kB]
Get:3 http://ports.ubuntu.com trusty-backports InRelease [65.9 kB]
Get:4 http://ports.ubuntu.com trusty Release.gpg [933 B]
Get:5 http://ports.ubuntu.com trusty Release [58.5 kB]
Get:6 http://security.ubuntu.com trusty-security/universe Sources [73.1 kB]
Get:7 http://ports.ubuntu.com trusty-updates/universe Sources [236 kB]
Get:8 http://ports.ubuntu.com trusty-updates/main ppc64el Packages [993 kB]
Err http://security.ubuntu.com trusty-security/main ppc64el Packages
  404  Not Found [IP: 91.189.88.149 80]
Get:9 http://ports.ubuntu.com trusty-updates/restricted ppc64el Packages [40 B]
Err http://security.ubuntu.com trusty-security/restricted ppc64el Packages
  404  Not Found [IP: 91.189.88.149 80]
Get:10 http://ports.ubuntu.com trusty-updates/universe ppc64el Packages [499 kB]
Err http://security.ubuntu.com trusty-security/universe ppc64el Packages
  404  Not Found [IP: 91.189.88.149 80]
Get:11 http://ports.ubuntu.com trusty-updates/multiverse ppc64el Packages [6925 
B]
Err http://security.ubuntu.com trusty-security/multiverse ppc64el Packages
  404  Not Found [IP: 91.189.88.149 80]
Get:12 http://ports.ubuntu.com trusty-backports/main ppc64el Packages [14.0 kB]
Get:13 http://ports.ubuntu.com trusty-backports/restricted ppc64el Packages [40 
B]
Get:14 http://ports.ubuntu.com trusty-backports/universe ppc64el Packages [48.0 
kB]
Get:15 http://ports.ubuntu.com trusty-backports/multiverse ppc64el Packages 
[573 B]
Get:16 http://ports.ubuntu.com trusty/universe Sources [7926 kB]
Get:17 http://ports.ubuntu.com trusty/main ppc64el Packages [1615 kB]
Get:18 http://ports.ubuntu.com trusty/restricted ppc64el Packages [40 B]
Get:19 http://ports.ubuntu.com trusty/universe ppc64el Packages [7014 kB]
Get:20 http://ports.ubuntu.com trusty/multiverse ppc64el Packages [135 kB]
Fetched 18.8 MB in 10s (1771 kB/s)
W: Failed to fetch 
http://security.ubuntu.com/ubuntu/dists/trusty-security/main/binary-ppc64el/Packages
  404  Not Found [IP: 91.189.88.149 80]
W: Failed to fetch 
http://security.ubuntu.com/ubuntu/dists/trusty-security/restricted/binary-ppc64el/Packages
  404  Not Found [IP: 91.189.88.149 80]
W: Failed to fetch 
http://security.ubuntu.com/ubuntu/dists/trusty-security/universe/binary-ppc64el/Packages
  404  Not Found [IP: 91.189.88.149 80]
W: Failed to fetch 
http://security.ubuntu.com/ubuntu/dists/trusty-security/multiverse/binary-ppc64el/Packages
  404  Not Found [IP: 91.189.88.149 80]
E: Some index files failed to download. They have been ignored, or old ones 
used instead.

Here is a full log:
https://travis-ci.org/xemul/criu/jobs/263720066

** Affects: apt (Ubuntu)
     Importance: Undecided
         Status: New

** Package changed: apport (Ubuntu) => apt (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1710399

Title:
  Unable to install packages

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1710399/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to